org.apache.ode.bpel.o

## Class OLValueExpression

- java.lang.Object
- - org.apache.ode.bpel.o.OBase
  - - org.apache.ode.bpel.o.OExpression
    - - org.apache.ode.bpel.o.OLValueExpression

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    OXPath10Expression

      public abstract class OLValueExpression
      extends OExpression

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `boolean` | `insertMissingData` Indicates whether the expression, if it is a simple path, must be created if missing By a simple path, we mean a path expression whose steps are fully-qualified names separated by slashes.

    - ### Fields inherited from class org.apache.ode.bpel.o.OExpression

      `expressionLanguage`

    - ### Fields inherited from class org.apache.ode.bpel.o.OBase

      `debugInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OLValueExpression(OProcess owner)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract OScope.Variable` | `getVariable()`

    - ### Methods inherited from class org.apache.ode.bpel.o.OExpression

      `getExpressionLanguage`

    - ### Methods inherited from class org.apache.ode.bpel.o.OBase

      `dehydrate, digest, equals, getId, getOwner, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### insertMissingData

          public boolean insertMissingData

      Indicates whether the expression, if it is a simple path, must be created if missing By a simple path, we mean a path expression whose steps are fully-qualified names separated by slashes. In case any of the steps in the simple path is non-existent, then we must create it.

  - ### Constructor Detail

    - #### OLValueExpression

          public OLValueExpression(OProcess owner)

      Parameters:
        `owner` -

  - ### Method Detail

    - #### getVariable

          public abstract OScope.Variable getVariable()